T2DDatafield< T >::Range Class Reference

`#include <mia/2d/datafield.hh>`

## Public Types

typedef T2DDatafield< T >::range_iterator | iterator

## Public Member Functions

iterator | begin ()
iterator | end ()

## Friends

class | ConstRange
class | T2DDatafield< T >

## Detailed Description

template<class T>
class T2DDatafield< T >::Range

Definition at line 120 of file 2d/datafield.hh.

## Member Typedef Documentation

## iterator

template<class T>

typedef T2DDatafield<T>::range_iterator T2DDatafield< T >::Range::iterator

Definition at line 126 of file 2d/datafield.hh.

## Member Function Documentation

## begin()

template<class T>

iterator T2DDatafield< T >::Range::begin | ( |  | ) |

## end()

template<class T>

iterator T2DDatafield< T >::Range::end | ( |  | ) |

References end(), and T2DDatafield< T >::T2DDatafield().

Referenced by end().

## Friends And Related Symbol Documentation

## ConstRange

template<class T>

friend class ConstRange

friend

Definition at line 123 of file 2d/datafield.hh.

References ConstRange.

Referenced by ConstRange.

## T2DDatafield< T >

template<class T>

friend class T2DDatafield< T >

friend

Definition at line 382 of file 2d/datafield.hh.

The documentation for this class was generated from the following file:

- 2d/datafield.hh